//----------------------------------------------------------------------------------------
// Name:        bookmark_dialog.cpp
// Purpose:     Insert a bookmark dialog
// Author:      Robert O'Connor
// Modified by:
// Created:     2001/10/20
// Copyright:   (c) Robert O'Connor ( rob@medicalmnemonics.com )
// Licence:     GPL
// RCS-ID:      $Id: bookmark_dialog.cpp,v 1.1 2002/01/04 03:34:27 robertoconnor Exp $
//----------------------------------------------------------------------------------------

// ---------------------------------------------------------------------------------------
// Headers
// ---------------------------------------------------------------------------------------

#ifdef __GNUG__
    #pragma implementation "bookmark_dialog.cpp"
    #pragma interface "bookmark_dialog.cpp"
#endif
// ---------------------------------------------------------------------------------------
// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// For all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers)
#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
// ---------------------------------------------------------------------------------------
#include "wx/xrc/xmlres.h"          // XRC XML resouces
// ---------------------------------------------------------------------------------------
#include "bookmark_dialog.h"
#include "editor_dialog.h"
#include "utils_controls.h"

// ---------------------------------------------------------------------------------------
// Private variables
// ---------------------------------------------------------------------------------------

bookmark_dialog* the_bookmark_dialog = NULL;

// ---------------------------------------------------------------------------------------
// Event table: connect the events to the handler functions to process them
// ---------------------------------------------------------------------------------------

BEGIN_EVENT_TABLE( bookmark_dialog, wxDialog )
    EVT_BUTTON( wxID_CONTEXT_HELP, bookmark_dialog::on_help_button )
    EVT_BUTTON( wxID_OK, bookmark_dialog::OnOK )
END_EVENT_TABLE()

//----------------------------------------------------------------------------------------
// Non-event handler functions
//----------------------------------------------------------------------------------------

void init_a_bookmark_dialog( wxWindow* parent )
{
    the_bookmark_dialog = new bookmark_dialog;
    wxTheXmlResource->LoadDialog( the_bookmark_dialog, parent, "bookmark_dialog" );

    the_bookmark_dialog->ShowModal();
}

//----------------------------------------------------------------------------------------
// Event handlers
//----------------------------------------------------------------------------------------

void bookmark_dialog::on_help_button( wxCommandEvent &event )
{

}


// Override wxDialog's default behavior for clicking an OK button.
void bookmark_dialog::OnOK( wxCommandEvent& event )
{
    wxString output_string;
    wxString buf;
    
    output_string = "<a";    

    wxString name_string = XMLCTRL( *the_bookmark_dialog, "bookmark_dialog_name_textctrl", wxTextCtrl )->GetValue();
    output_string += " name=\"" + name_string + "\">";
   
    wxString description_string = XMLCTRL( *the_bookmark_dialog, "bookmark_dialog_description_textctrl", wxTextCtrl )->GetValue();
    output_string += description_string;
      
    output_string += "</a>";
    
    the_editor_dialog->stc_or_textctrl_insert_text( output_string, "", TRUE );
    
    // Get rid of the modal dialog. Not transferring any info from this modal's control
    // to a parent dialog, so don't have to bother with wxWindow::Validate or 
    // wxWindow::TransferDataFromWindow.    
    EndModal( wxID_OK );
}

